- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# ShadeModel.cpp File Reference

`#include "osg/ShadeModel"`
`#include "osgDB/Registry"`
`#include "osgDB/Input"`
`#include "osgDB/Output"`

Include dependency graph for lugins/osg/ShadeModel.cpp:

## Functions
bool | ShadeModel_readLocalData (Object &obj, Input &fr)
bool | ShadeModel_writeLocalData (const Object &obj, Output &fw)
## Variables
RegisterDotOsgWrapperProxy | g_ShadeModelFuncProxy (new osg::ShadeModel,"ShadeModel","Object StateAttribute ShadeModel",&ShadeModel_readLocalData,&ShadeModel_writeLocalData)

## Function Documentation

bool ShadeModel_readLocalData | ( | Object & | obj,
|  | Input & | fr
| ) |

bool ShadeModel_writeLocalData | ( | const Object & | obj,
|  | Output & | fw
| ) |

## Variable Documentation

RegisterDotOsgWrapperProxy g_ShadeModelFuncProxy(new osg::ShadeModel,"ShadeModel","Object StateAttribute ShadeModel",&ShadeModel_readLocalData,&ShadeModel_writeLocalData)